Overview | Modules | Class Hierarchy | Classes | Members

# tlp::QtProgress Class Reference

`#include <QtProgress.h>`

Collaboration diagram for tlp::QtProgress:

[legend]
List of all members.

## Public Slots

- void stopCompute ()
- void cancelCompute ()
- void changePreview (bool)

## Public Member Functions

- QtProgress (QWidget *parent, std::string text, View *view=0)
- virtual ~QtProgress ()
- void progress_handler (int i, int j)
- void setComment (std::string msg)
- void showPreview (bool)

## Public Attributes

- bool firstCall
- std::string label
- QWidget * parent
- View * view

## Constructor & Destructor Documentation

tlp::QtProgress::QtProgress | ( | QWidget * | parent,
|  | std::string | text,
|  | View * | view = `0`
| ) |

virtual tlp::QtProgress::~QtProgress | ( |  | ) | `[virtual]`

## Member Function Documentation

void tlp::QtProgress::cancelCompute | ( |  | ) | `[slot]`

void tlp::QtProgress::changePreview | ( | bool |  | ) | `[slot]`

void tlp::QtProgress::progress_handler | ( | int | i,
|  | int | j
| ) |

void tlp::QtProgress::setComment | ( | std::string | msg | ) |

void tlp::QtProgress::showPreview | ( | bool |  | ) |

void tlp::QtProgress::stopCompute | ( |  | ) | `[slot]`

## Member Data Documentation

bool tlp::QtProgress::firstCall

std::string tlp::QtProgress::label

QWidget* tlp::QtProgress::parent

View* tlp::QtProgress::view

Tulip Software by LaBRI Visualization Team 2001 - 2010